Subject: Desirable watches for less

From: " Acronym-archive" <[email-masked] >
Date: Tue, 10 Jul 2007 09:45:19 -0700

With our top-quality luxury replica timepieces you will always be on time!
Extra-low prices, free express delivery and the biggest choice on the Web!
Pick up a perfect chronometer for you out of our huge stock now!
http://disrich.com